Query device status and config
GET /api/v1/devices/status-config. Edge nodes API reference.
curl --request GET \
--url https://{apiHost}/api/v1/devices/status-config \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/devices/status-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/devices/status-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"summaryByAppInstanceCount": {
"description": "<string>",
"total": 123,
"values": {}
},
"summaryByEVEDistribution": {
"description": "<string>",
"total": 123,
"values": {}
},
"totalCount": 123,
"list": [
{
"id": "<string>",
"name": "<string>",
"serialNo": "<string>",
"title": "<string>",
"projectId": "<string>",
"projectName": "<string>",
"location": "<string>",
"eveImageName": "<string>",
"isEveLatest": "<string>",
"appInstCount": "<string>",
"runState": "RUN_STATE_UNSPECIFIED",
"adminState": "ADMIN_STATE_UNSPECIFIED",
"dinfo": {
"machineArch": "<string>",
"cpuArch": "<string>",
"platform": "<string>",
"nCpu": 123,
"memMB": "<string>",
"storageMB": "<string>"
},
"swInfo": [
{
"activated": true,
"partitionLabel": "<string>",
"partitionDevice": "<string>",
"partitionState": "<string>",
"status": "SW_STATE_UNSPECIFIED",
"shortVersion": "<string>",
"longVersion": "<string>",
"swError": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"downloadProgress": 123,
"swStatus": "DEVICE_SW_STATUS_UNSPECIFIED",
"swSubStatus": "DEVICE_SW_SUB_STATUS_UNSPECIFIED",
"swSubStatusStr": "<string>",
"subStatusProgress": 123,
"isLTS": true
}
],
"projectType": "TAG_TYPE_UNSPECIFIED",
"clusterNodeStatus": {
"age": 123,
"internalIP": "<string>",
"conditions": "<string>",
"nodeType": "CLUSTER_NODE_TYPE_UNSPECIFIED"
},
"interfaces": [
{
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
],
"modelId": "<string>",
"enrolledCertsStatus": "ENROLLED_CERT_STATUS_UNSPECIFIED"
}
],
"totalEvActiveCount": 123,
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Query Parameters
UNSPECIFIED, ONLINE, HALTED, INIT, REBOOTING, OFFLINE, UNKNOWN, UNPROVISIONED, PROVISIONED, SUSPECT, DOWNLOADING, RESTARTING, PURGING, HALTING, ERROR, VERIFYING, LOADING, CREATING_VOLUME, BOOTING, MAINTENANCE_MODE, START_DELAYED, BASEOS_UPDATING, PREPARING_POWEROFF, POWERING_OFF, PREPARED_POWEROFF UNSPECIFIED, FREE, MODERATE, HEAVY Page Token
OrderBy helps in sorting the list response
Page Number
Defines the page size
Total number of pages to be fetched.
Fields to select for composite api: id, name, title, serialNo, projectId, projectName, isEveLatest, appInstCount, runState, adminState.
- CREATED: Entity Created in the controller
- DELETED: Entity Deleted in the controller
- ACTIVE: Entity Activated in the controller
- INACTIVE: Entity Deactivated in the controller
- REGISTERED: Specific to Edge-node - Edge-node Registered with the controller
- ARCHIVED: Entity Archived in the controller
UNSPECIFIED, CREATED, DELETED, ACTIVE, INACTIVE, REGISTERED, ARCHIVED filter devices by eve version support type i.e LTS OR NON_LTS
SUPPORT_TYPE_UNSPECIFIED, SUPPORT_TYPE_LTS, SUPPORT_TYPE_NON_LTS flag to indicate whether to include network interface details in the response
title pattern
Response
A successful response.
Device statu sna config composite api response details
Device status config summary by state
Show child attributes
Show child attributes
Device status config summary by app instance count
Show child attributes
Show child attributes
Device status config summary by eve distribution
Show child attributes
Show child attributes
total count of devices
List of device status config
Show child attributes
Show child attributes
total count of edgeview active of devices
Page details of the filtered records
Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://{apiHost}/api/v1/devices/status-config \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/devices/status-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/devices/status-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"summaryByAppInstanceCount": {
"description": "<string>",
"total": 123,
"values": {}
},
"summaryByEVEDistribution": {
"description": "<string>",
"total": 123,
"values": {}
},
"totalCount": 123,
"list": [
{
"id": "<string>",
"name": "<string>",
"serialNo": "<string>",
"title": "<string>",
"projectId": "<string>",
"projectName": "<string>",
"location": "<string>",
"eveImageName": "<string>",
"isEveLatest": "<string>",
"appInstCount": "<string>",
"runState": "RUN_STATE_UNSPECIFIED",
"adminState": "ADMIN_STATE_UNSPECIFIED",
"dinfo": {
"machineArch": "<string>",
"cpuArch": "<string>",
"platform": "<string>",
"nCpu": 123,
"memMB": "<string>",
"storageMB": "<string>"
},
"swInfo": [
{
"activated": true,
"partitionLabel": "<string>",
"partitionDevice": "<string>",
"partitionState": "<string>",
"status": "SW_STATE_UNSPECIFIED",
"shortVersion": "<string>",
"longVersion": "<string>",
"swError": {
"description": "<string>",
"severity": "SEVERITY_UNSPECIFIED",
"timestamp": {},
"entities": [
{
"entity": "ENTITY_UNSPECIFIED",
"entityId": "<string>",
"entityName": "<string>"
}
],
"retryCondition": "<string>"
},
"downloadProgress": 123,
"swStatus": "DEVICE_SW_STATUS_UNSPECIFIED",
"swSubStatus": "DEVICE_SW_SUB_STATUS_UNSPECIFIED",
"swSubStatusStr": "<string>",
"subStatusProgress": 123,
"isLTS": true
}
],
"projectType": "TAG_TYPE_UNSPECIFIED",
"clusterNodeStatus": {
"age": 123,
"internalIP": "<string>",
"conditions": "<string>",
"nodeType": "CLUSTER_NODE_TYPE_UNSPECIFIED"
},
"interfaces": [
{
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
],
"modelId": "<string>",
"enrolledCertsStatus": "ENROLLED_CERT_STATUS_UNSPECIFIED"
}
],
"totalEvActiveCount": 123,
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}